Bug 210614 - [NEW PORT]: devel/racer: Utility intended to provide Rust code completion for editors and IDEs
Summary: [NEW PORT]: devel/racer: Utility intended to provide Rust code completion for...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords: feature, patch
Depends on:
Blocks:
 
Reported: 2016-06-27 08:05 UTC by Timothy Beyer
Modified: 2017-07-15 20:59 UTC (History)
1 user (show)

See Also:


Attachments
shar file of new port (3.85 KB, text/plain)
2016-06-27 08:05 UTC, Timothy Beyer
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Timothy Beyer 2016-06-27 08:05:50 UTC
Created attachment 171857 [details]
shar file of new port

Racer is a rust debugger.  This port depends on my previous PR to be applied to lang/rust (See https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=210613 for more details), since it needs the compiler sources as a runtime requirement to work properly.
Comment 1 Timothy Beyer 2016-06-27 08:12:38 UTC
I should clarify that this is a code completion tool, not a debugger.
Comment 2 commit-hook freebsd_committer 2017-07-06 14:18:34 UTC
A commit references this bug:

Author: jbeich
Date: Thu Jul  6 14:17:32 UTC 2017
New revision: 445156
URL: https://svnweb.freebsd.org/changeset/ports/445156

Log:
  devel/racer: add new port

  PR:		210614
  Submitted by:	Timothy Beyer
  MFH:		2017Q3

  RACER = Rust Auto-Complete-er. A utility intended to provide Rust code
  completion for editors and IDEs. Maybe one day the 'er' bit will be exploring +
  refactoring or something.

  https://github.com/phildawes/racer

Changes:
  head/devel/Makefile
  head/devel/racer/
  head/devel/racer/Makefile
  head/devel/racer/distinfo
  head/devel/racer/pkg-descr
Comment 3 Jan Beich freebsd_committer 2017-07-06 14:20:41 UTC
Thanks. Landed after converting to USES=cargo. Tested via emacs-racer on 12.0-CURRENT (post-ino64, so no luck with rustup).

> RUN_DEPENDS=	rustdoc:lang/rust

Dropped. I didn't find in the code references to "rustdoc" binary, and Racer seems to work fine without "rustc".

> MAKE_ENV=	RUST_SRC_PATH=${PREFIX}/share/rust/src

Dropped. Looking at the code if RUST_SRC_PATH wasn't set by user then Racer falls back to `rustc --print sysroot` + lib/rustlib/src/rust/src or a list of embedded paths.

> lib/rustlib/x86_64-unknown-freebsd/libaho_corasick-32050201217e44e8.rlib

Dropped. These are already linked into racer binary.
Comment 4 Jan Beich freebsd_committer 2017-07-08 20:54:46 UTC
Timothy Beyer, would you like the package end up in /quarterly set early to reach more users and avoid possible instability due to cargo updates?
Comment 5 commit-hook freebsd_committer 2017-07-15 20:59:59 UTC
A commit references this bug:

Author: jbeich
Date: Sat Jul 15 20:59:01 UTC 2017
New revision: 445965
URL: https://svnweb.freebsd.org/changeset/ports/445965

Log:
  MFH: r445156 r445157

  devel/racer: add new port

  PR:		210614
  Submitted by:	Timothy Beyer
  Approved by:	ports-secteam (junovitch)

  RACER = Rust Auto-Complete-er. A utility intended to provide Rust code
  completion for editors and IDEs. Maybe one day the 'er' bit will be exploring +
  refactoring or something.

  https://github.com/phildawes/racer

Changes:
_U  branches/2017Q3/
  branches/2017Q3/devel/Makefile
  branches/2017Q3/devel/racer/
  branches/2017Q3/devel/racer/Makefile
  branches/2017Q3/devel/racer/distinfo
  branches/2017Q3/devel/racer/pkg-descr